## org.hibernate.ejb.event
Class ListenerCallback

    java.lang.Object
      org.hibernate.ejb.event.Callback
          org.hibernate.ejb.event.ListenerCallback

All Implemented Interfaces:
  Serializable

    public class ListenerCallback

extends Callback

See Also:
  Serialized Form

Field Summary
`protected Object` `listener`

Fields inherited from class org.hibernate.ejb.event.Callback
`callbackMethod`

Constructor Summary
`ListenerCallback(Method callbackMethod, Object listener)`

Method Summary
`void` `invoke(Object bean)`

Methods inherited from class org.hibernate.ejb.event.Callback
`getCallbackMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    protected transient Object listener

Constructor Detail

### ListenerCallback

    public ListenerCallback(Method callbackMethod,
                            Object listener)

Method Detail

### invoke

    public void invoke(Object bean)

  Specified by:
    `invoke` in class `Callback`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.